Subject: Re: [PATCH 8/8] powerpc/xmon: Add some more elements to the existing PACA dump list

From: Anshuman Khandual <[email-masked]>
Date: Wed, 12 Aug 2015 11:57:31 +0530

On 08/12/2015 11:35 AM, Michael Ellerman wrote:
> On Wed, 2015-07-29 at 12:40 +0530, Anshuman Khandual wrote:
>> This patch adds a set of new elements to the existing PACA dump list
>> inside an xmon session which can be listed below improving the overall
>> xmon debug support.
>>
>> (1) hmi_event_available
>> (2) dscr_default
>> (3) vmalloc_sllp
>> (4) slb_cache_ptr
>> (5) sprg_vdso
>> (6) tm_scratch
>> (7) core_idle_state_ptr
>> (8) thread_idle_state
>> (9) thread_mask
>> (10) slb_shadow
>> (11) pgd
>> (12) kernel_pgd
>> (13) tcd_ptr
>> (14) mc_kstack
>> (15) crit_kstack
>> (16) dbg_kstack
>> (17) user_time
>> (18) system_time
>> (19) user_time_scaled
>> (20) starttime
>> (21) starttime_user
>> (22) startspurr
>> (23) utime_sspurr
>> (24) stolen_time
> 
> Adding these makes the paca display much longer than 24 lines. I know in
> general we don't worry too much about folks on 80x24 green screens, but it's
> nice if xmon works OK on those. Or on virtual consoles that don't scroll for
> whatever reason.
> 
> So I'm going to hold off on this one until we have a way to display some of the
> paca. I have an idea for that and will send a patch if it works.
> 

Sure, if you believe that is the best thing to do at the moment.